summaryrefslogtreecommitdiff
path: root/tests/ocsp-tests
diff options
context:
space:
mode:
authorAlon Bar-Lev <alon.barlev@gmail.com>2017-01-05 10:34:07 +0200
committerAlon Bar-Lev <alon.barlev@gmail.com>2017-01-05 11:16:38 +0200
commit98e49e9d0727d93a58b336dac0a78ce74558e8c8 (patch)
tree61653d08a7243ce4cd40f7f97efdd6c2e06b054d /tests/ocsp-tests
parent2c55e6b554a3d30ee92b37aae02536794fd5cac1 (diff)
downloadgnutls-98e49e9d0727d93a58b336dac0a78ce74558e8c8.tar.gz
tests: skip tests that requires tools if tools are disabled
building with --disable-tools should not cause test failure. Signed-off-by: Alon Bar-Lev <alon.barlev@gmail.com>
Diffstat (limited to 'tests/ocsp-tests')
-rwxr-xr-xtests/ocsp-tests/ocsp-must-staple-connection16
-rwxr-xr-xtests/ocsp-tests/ocsp-test4
-rwxr-xr-xtests/ocsp-tests/ocsp-tls-connection16
3 files changed, 36 insertions, 0 deletions
diff --git a/tests/ocsp-tests/ocsp-must-staple-connection b/tests/ocsp-tests/ocsp-must-staple-connection
index 2df3af1263..2c7aa1e322 100755
--- a/tests/ocsp-tests/ocsp-must-staple-connection
+++ b/tests/ocsp-tests/ocsp-must-staple-connection
@@ -31,6 +31,22 @@ OCSP_REQ_FILE="ms-req.$$.tmp"
export TZ="UTC"
+if ! test -x "${CERTTOOL}"; then
+ exit 77
+fi
+
+if ! test -x "${OCSPTOOL}"; then
+ exit 77
+fi
+
+if ! test -x "${GNUTLS_SERV}"; then
+ exit 77
+fi
+
+if ! test -x "${GNUTLS_CLI}"; then
+ exit 77
+fi
+
if ! test -z "${VALGRIND}"; then
VALGRIND="${LIBTOOL:-libtool} --mode=execute ${VALGRIND} --error-exitcode=15"
fi
diff --git a/tests/ocsp-tests/ocsp-test b/tests/ocsp-tests/ocsp-test
index 5fe2659162..e3a3ef5613 100755
--- a/tests/ocsp-tests/ocsp-test
+++ b/tests/ocsp-tests/ocsp-test
@@ -24,6 +24,10 @@ srcdir="${srcdir:-.}"
OCSPTOOL="${OCSPTOOL:-../../src/ocsptool${EXEEXT}}"
DIFF="${DIFF:-diff}"
+if ! test -x "${OCSPTOOL}"; then
+ exit 77
+fi
+
export TZ="UTC"
# Check for datefudge
diff --git a/tests/ocsp-tests/ocsp-tls-connection b/tests/ocsp-tests/ocsp-tls-connection
index 8a73f98650..d01b0fe9c9 100755
--- a/tests/ocsp-tests/ocsp-tls-connection
+++ b/tests/ocsp-tests/ocsp-tls-connection
@@ -30,6 +30,22 @@ DIFF="${DIFF:-diff}"
TEMPLATE_FILE="out.$$.tmpl.tmp"
SERVER_CERT_FILE="cert.$$.pem.tmp"
+if ! test -x "${CERTTOOL}"; then
+ exit 77
+fi
+
+if ! test -x "${OCSPTOOL}"; then
+ exit 77
+fi
+
+if ! test -x "${GNUTLS_SERV}"; then
+ exit 77
+fi
+
+if ! test -x "${GNUTLS_CLI}"; then
+ exit 77
+fi
+
if ! test -z "${VALGRIND}"; then
VALGRIND="${LIBTOOL:-libtool} --mode=execute ${VALGRIND} --error-exitcode=15"
fi